#
# spec file for package ltris (Version 010310)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound gpp kdelibs-artsd libgpp xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

# Commandline: 
Name:         ltris
Copyright:    GPL
Group:        X11/Games
Summary:      a tetris clone for Linux
Version:      010310
Release:      127
Url:          http://lgames.sourceforge.net/
Source:       ltris-%{version}.tar.bz2
Patch:        ltris-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
a tetris clone for Linux

Authors:
--------
    Michael Speck <kulanie@gmx.net>

SuSE series: fun

%prep
%setup
%patch

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(2755,games,game) /usr/bin/ltris
/usr/share/games/ltris
%attr(775,games,game) /var/games/ltris

%changelog -n ltris
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Wed Jun 20 2001 - cihlar@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Mon Apr 09 2001 - cihlar@suse.cz
- updated to version 010310
* Tue Mar 27 2001 - ro@suse.de
- added sdl-devel to neededforbuild
* Wed Feb 21 2001 - cihlar@suse.cz
- added alsa, esound and audiofile to neededforbuild
* Mon Dec 04 2000 - cihlar@suse.cz
- package created
